cURL
curl --request POST \ --url https://api.mpcvault.com/v1/getWalletList \ --header 'Content-Type: application/json' \ --header 'x-mtoken: <api-key>' \ --data ' { "vaultUuid": "<string>", "page": "<string>", "limit": "<string>" } '
{ "detailsList": [ { "vaultUuid": "<string>", "keyType": "KEY_TYPE_UNSPECIFIED", "keyPath": "<string>", "publicKey": "aSDinaTvuI8gbWludGxpZnk=", "networkType": 0, "address": "<string>", "ref": "<string>", "status": "STATUS_UNSPECIFIED", "name": "<string>" } ], "error": { "executeSigningRequestsErrorCode": "EXECUTE_SIGNING_REQUESTS_ERROR_CODE_UNSPECIFIED", "message": "<string>" } }
List all wallets in a vault with pagination.
page
limit
Your API token. Required for all API requests.
Default:null vault_uuid The UUID of the vault that the wallet was created in.
Default: 1 page is the page number.
Default:100 max:100 limit is the number of wallets to return.
Success
The list of wallets.
Show child attributes
Was this page helpful?